Subject: Exporting __stdcall Procs without _ and @n
From: [email-masked] (Eric Britten)

28 Apr 1997 15:39:33 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Reply-To: Eric Britten <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
Original-To: gnu-win32 <[email-masked]>
Original-Sender: [email-masked]

In order to build a control panel applet I need to export the function
CPlApplet from a dll.  It is declared using the __stdcall convention.
However using gcc it is exported as CPlApplet@16, even if I use the -k
option for dlltool.  If I use lcc, it is exported as _CPlApplet@16.

In order for windows 95 to be able to use the applet it must have an
export with the name CPlApplet with no name mangling at all.  

I tried to use the following def file to change the way the export is
named.

EXPORTS
	CPlApplet@16=CPlApplet

Dlltool returns an error about the = sign.  Lcc ignores it.  

Is there anyway to remove the _ and the @16 for the name of the exported
function so windows can find the function using GetProcAddress.

Thanks.

-----------------------------------------------
		Eric Britten
	      [email-masked]
-----------------------------------------------

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".